*{
    font-family: Verdana;
}
/* Broad Css */
cite{
    font-size: small;
}
figure.noCaption{
    line-height: 0;
}
p {
    text-indent: 2em;
}
img {
    max-width: 100%;
    border-radius: 1em;
}
figcaption cite:hover{
    color: white;
}
p,li{
    max-width: 80ch;
    margin: auto;
}
body{
    background-image: url(../images/whiteMountains.jpg);
    background-size: cover;
    margin: 0 auto;
    max-width: 60em;
}
figure {
    text-align: center;
    max-width: 100%;
    border-radius: 1em;
    border-style: solid;
    border-color: black;
    background-color: lightslategrey;
}
.activePage {
    background: powderblue
}

/* Main & Header Css */
main{
    background-color: rgba(250,250,250,0.9);
    padding: 1em;
}
.icon {
    border-radius: 0;
    max-width: 5em;
}
h1{
    background-color: rgba(250,250,250,0.9);
}

/* Nav Css */
nav {
    border: black;
    border-style:solid;
    text-align: center;
    background-color: rgba(250,250,250,0.9);
    margin-bottom: 1.5em;

}
nav a{
    display: inline-block;
    padding: 1em;
    color: black;
    transition: color 0.5s;
    transition: background-color 0.5s ease-out;
}
nav a:hover{
    text-decoration: underline;   
    color: white;
    background-color: lightslategray;
}
nav a:link{
    color: black;
    text-decoration: none;
}

/* Detail/Weather page Css */
.disclaimer {
    font-size: x-small;
    text-align: center;
    padding-top: 5em;
}

/* Form page Css*/
legend{
    display:none;
}
form{
    display: inline-block;
    margin: auto;
    text-align: left;
}
fieldset.submit{
    text-align: center;
}
section.form {
    display: block;
    text-align: center;
}
input[type = "submit"]{
    background-color: powderblue;
    color: black;
    padding: 1em 3em;
    border-radius: 1em;
}
fieldset h2 {
    border-bottom: 0.2em solid gray;
}
.submit{
    transition: transform 0.5s;
}
.submit:hover {
    transform: scale(1.3,1.3);
}
.mistake { 
    font-weight: bold;
    color: red;
}
fieldset {
    margin: 1em;
    border: 0;
}

/* Footer Css */
footer{
    background:  rgba(250,250,250,0.9);
    text-align: center;
    padding-bottom: 1em;
    clear:both;
}
/* Table data css */
table > caption{
    text-decoration-line: underline;
    text-decoration-style: double;
    font-weight: bold;
    padding-top: 1em
}
table{
    border-style: ridge;
    border-collapse: collapse;
    margin: auto;
    margin-top: 1em;
    margin-bottom: 1em;
}
th {
    background: powderblue
}
td {
    background: lightgray
}
th, td {
    border-style: solid;
    text-align: center;
}
